For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applications
        • GETGet an application by ID
        • POSTCreate Application: ResMan
        • PUTUpdate Application: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManApplications

Get an application by ID

GET
/v1/applications/:id
GET
/v1/applications/:id
$curl https://api.propexo.com/v1/applications/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "applicant-987654321",
17 "x_location_id": null,
18 "x_property_id": "property-123456789",
19 "x_unit_id": "unit-456-789-123",
20 "status": "pending_review",
21 "custom_data": {},
22 "applicants": [
23 {
24 "applicant_id": "applicant-987654321",
25 "application_id": "clwktsp9v000008l31iv218hn",
26 "status_raw": "pending_review",
27 "status_normalized": "pending",
28 "custom_data": {},
29 "status": "pending"
30 }
31 ],
32 "integration_id": "clwh5u07w000508me66sfh3um",
33 "integration_vendor": "RESMAN",
34 "property_id": "clwi5xiix000008l6ctdgafyh",
35 "unit_id": "cm20oe3sw87101871971bl8bymi60v3o"
36 }
37}
Get an application by ID
Was this page helpful?
Previous

Create Application: ResMan

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error